#ifndef __drvI2C_
#define __drvI2C_

#define _MI2CIF 


#include <i2c.h>

#ifndef Fcy
#define Fcy (80000000/2)
#endif

#define I2Cfreq 400 // 400 = 400 khz = I2C speed
#define I2Cbr ((Fcy/I2Cfreq)-(Fcy/1000))/1000-1 

char ReadMultipleI2C1(unsigned char  , unsigned char  , int , unsigned char *);
unsigned char ReadByteI2C1(unsigned char , unsigned char  );
char WriteByteI2C1(unsigned char  , unsigned char  ,unsigned char );
void  InitI2C1(void );






#endif
